Hide navigation sidebar
Hide table of contents sidebar
Skip to content
ASDF Projects Tutorials Community
Back to top
View this page
Toggle table of contents sidebar

# ResourceManager

class asdf.resource.ResourceManager(resource_mappings)

  Bases: `Mapping`

  Wraps multiple resource mappings into a single interface with some friendlier error handling.

  Parameters:
    resource_mappings iterable of collections.abc.Mapping

      Underlying resource mappings. In the case of a duplicate URI, the first mapping takes precedence.